#include <iostream>

#define DEBUG 1
#define PLATFORM_WINDOWS 1

int main() {
    int x = 10;
    
    #if DEBUG
        std::cout << "Debug: x = " << x << std::endl;
    #endif

    #ifdef PLATFORM_WINDOWS
        std::cout << "Running on Windows" << std::endl;
    #elif defined(PLATFORM_LINUX)
        std::cout << "Running on Linux" << std::endl;
    #else
        std::cout << "Running on an unknown platform" << std::endl;
    #endif

    return 0;
}
